Bug 1760583 - "odo config unset" doesn't unset an environment variable but says it did
Summary: "odo config unset" doesn't unset an environment variable but says it did
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: odo
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tomáš Král
QA Contact: Amit
Yana Hontyk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-10 21:15 UTC by Yana Hontyk
Modified: 2019-12-02 07:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-02 07:56:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift odo issues 2139 0 'None' 'closed' '"odo config unset" doesn''t unset an environment variable but says it did' 2019-12-02 07:55:16 UTC

Description Yana Hontyk 2019-10-10 21:15:29 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set an env var using odo config set --env.
2. Unset it using odo config unset --env foo=bar.
3. Unset it using odo config unset --env foo (don't mention the value of foo this time).
4. Verify output of odo config view at the end of each step


Actual results:
odo says that it has successfully unset the env var but it actually hasn't.

Expected results:
Either odo config unset should complain that it can't handle the input given by user or unset the value as user would expect

Additional info:

Comment 1 Amit 2019-11-19 07:03:43 UTC
Fix via - https://github.com/openshift/odo/pull/2275


Note You need to log in before you can comment on or make changes to this bug.